/* These are just a test styles - you don't need them in your project */
.circles {
  margin-bottom: -10px;
}

.circle {
  width: 100%;
  margin: 6px 6px 20px;
  display: inline-block;
  position: relative;
  text-align: center;
  line-height: 1.2;
}

.circle canvas {
  vertical-align: top;
}

.circle strong {
  position: absolute;
  top: 50px;
  left: 0;
  width: 100%;
  text-align: center;
  line-height: 40px;
  font-size: 60px;
}

.circle strong i {
  font-style: normal;
  font-size: 0.6em;
  font-weight: normal;
}

.circle span {
  display: block;
  color: #aaa;
  margin-top: 12px;
}

p {
  margin: 40px 0;
}

.install {
  display: inline-block;
}

.install a {
  display: block;
  width: auto;
  vertical-align: middle;
  padding: 6px 12px;
  line-height: 20px;
  background-color: #111;
  color: #fff;
  border-radius: 3px;
  text-decoration: none;
  margin: 5px auto;
  transition: all .3s;
}

.install code {
  padding: 6px 12px;
  display: block;
  font: 13px/20px Courier New, Liberation Mono, monospase;
  background-color: #333333;
  border-radius: 4px;
  margin: 5px 0;
  white-space: nowrap;
}

.install a:hover {
  background-color: #222;
}

.credits {
  color: #aaa;
  position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
}

.credits img {
  margin-left: 4px;
  border-radius: 4px;
  vertical-align: middle;
}

@media (max-height: 600px), (max-width: 480px) {
  .credits {
    position: inherit;
  }
}

/** progress bar */
#progress_bar{font-size: 20px;}
.row.pbar {padding: 10px;font-size: 30px;}
.pj-progress span.text{    width: 50%;}        
.pj-progress span.percent{ width: 50%;text-align: right;}        
.bar{ padding: 10px 0;    font-size: 20px;}
.progress-bar{
 /*   background: linear-gradient(to right, #dcd9e0 0%, #8d31f7 100%);
    background: #2E458B;*/
}
.phetkasem{
  background: #2E458B;
}
.smyne {
  background: #8d31f7;
}
.udon {
  background: #6E4A36;
}
.image-container{
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    height: auto;
    object-fit: cover;
    /*border: 1px solid;*/
}
.overview-bar{
    display: grid;
    /*border: 1px solid;*/
    height: 100hv;
    overflow: hidden;
    height: auto;
    align-items: center;
}